=== debian/changelog ===
dcm2niix (1.0.20161101-1) unstable; urgency=low

  * Initial release. (Closes: #843799)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 01 Dec 2016 18:42:22 +0000
