=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/dcm2niix-$1\.tar\.gz/ \
https://github.com/rordenlab/dcm2niix/tags .*/v(\d\S+)\.tar\.gz
