## dcm2niix 1.0.20170130

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(dcm2niix)
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8)
 
 include(ucm.cmake)
 
@@ -35,3 +35,8 @@
 ## Sub-projects
 ##
 add_subdirectory(console)
+
+option(BUILD_DOCS "Build documentation (manpages)" OFF)
+if (BUILD_DOCS)
+    add_subdirectory(docs)
+endif ()
