=== debian/changelog ===
dcm2niix (1:1.0.20170130-2~nd15.04+1) vivid; urgency=medium

  * Backported for vivid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 06 Apr 2017 17:47:55 -0400

dcm2niix (1:1.0.20170130-2) neurodebian; urgency=medium

  * debian/control
    - Updated Homepage to point to github repo
  * debian/rules
    - enable building dcm2niixbatch. Also added libyaml-cpp-dev bdependency
      (and libboost-dev which it needs but not installs on older 
      debian/ubuntus)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 06 Apr 2017 14:31:56 -0400

dcm2niix (1:1.0.20170130-1) neurodebian; urgency=medium

  * Introduced 1: epoch version prefix to conform to current upstream
    version format
  * Fresh release should resolve issues with json output

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 30 Jan 2017 12:48:10 -0500

dcm2niix (20161101+git66-g672f4d2-1) neurodebian; urgency=medium

  * New upstream snapshot -- various bug fixes (handling of non-existing
    output directory, json output, etc)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 16 Jan 2017 12:45:53 -0500

dcm2niix (20160921+git16-g0339407-1) neurodebian; urgency=medium

  * New upstream snapshot from 20160921-16-g0339407
    - now will fail if output directory is N/A
    - various minor fixups

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 04 Oct 2016 10:15:54 -0400

dcm2niix (20160921-1) neurodebian; urgency=medium

  * Fresh upstream release
    + Support 3D lossless JPEG saved as multiple fragments
  * Switching to upstream versioning scheme (by release date)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 23 Sep 2016 08:17:42 -0400

dcm2niix (0.20160606.1+git51-g615d612-1) neurodebian; urgency=medium

  * Fresh upstream snapshot which addresses the concern of use of
    non-initialized fields in the NIfTI headers See
    https://github.com/neurolabusc/dcm2niix/issues/45 for more info

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 19 Sep 2016 10:29:01 -0400

dcm2niix (0.20160606.1+git22-gf6471c0-1) neurodebian; urgency=medium

  * New upstream snapshot (not officially "released")

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 29 Jul 2016 16:14:11 -0400

dcm2niix (0.20160606.1+git1-gf6ba376-1) neurodebian; urgency=medium

  * New upstream snapshot from 20160606-1-gf6ba376 with BIDS support

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 09 Jun 2016 10:43:01 -0400

dcm2niix (0.20150909.1+git1-g8914c07-1) neurodebian; urgency=medium

  * Initial release.

 -- Michael Hanke <mih@debian.org>  Sun, 27 Sep 2015 10:23:35 +0200
