=== debian/changelog ===
dcm2niix (1:1.0.20170403-1~nd15.10+1) wily; urgency=medium

  * Backported for wily.
  * Applied additional patch from debian/patches/wily-dsc-patch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 24 Apr 2017 14:10:43 -0400

dcm2niix (1:1.0.20170403-1) neurodebian; urgency=medium

  * New upstream release.
  * Build against TurboJPEG.

 -- Michael Hanke <mih@debian.org>  Tue, 18 Apr 2017 09:10:34 +0200
