=== debian/rules ===
--- 
+++ 
@@ -9,15 +9,20 @@
 # then described this commit relative to the last release tag (release/...)
 # If this should make any sense the local upstream branch must track upstream's
 # master or whatever other source branch.
-gitver = $(shell [ -x /usr/bin/git ] && git describe --tags --match 'release/[0-9].[0-9]*.[0-9]*' $$(git merge-base -a HEAD master) | sed -e 's,^release/,,' -e 's/-/+git/')
+gitver = $(shell [ -x /usr/bin/git ] && git describe --tags --match 'v[0-9].[0-9]*.[0-9]*' $$(git merge-base -a HEAD master) | sed -e 's,^v,,' -e 's/-/+git/')
+
+export DH_VERBOSE = 1
 
 # one ring to rule them all ...
 %:
-	dh $@ --buildsystem=cmake
+	dh $@ --buildsystem=cmake --builddirectory=build
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-DBATCH_VERSION=ON
+	  -DUSE_STATIC_RUNTIME:BOOL=OFF \
+	  -DUSE_SYSTEM_TURBOJPEG:BOOL=OFF \
+	  -DUSE_SYSTEM_ZLIB:BOOL=ON \
+	  -DBATCH_VERSION:BOOL=ON
 
 override_dh_clean:
 	dh_clean
@@ -32,3 +37,10 @@
 	# orig tarball, turn directory into something nicer
 	git archive --format=tar --prefix=$(srcpkg)-$(gitver)/ HEAD | \
 		gzip -9 > $(srcpkg)_$(gitver).orig.tar.gz
+
+# check that DSC patches still apply
+maint-check-dsc-patches:
+	@for p in debian/patches/*-dsc-patch; \
+		do echo "check $$p"; \
+		patch -p1 --dry-run < $$p || exit 1 ; \
+	done
