## dcm2niix 1.0.20170923

=== debian/changelog ===
dcm2niix (1.0.20170923-1) unstable; urgency=medium

  * New upstream version 1.0.20170923
  * Bump the standards version to 4.1.1

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 09 Oct 2017 18:45:04 +0100

dcm2niix (1.0.20170818-1) unstable; urgency=medium

  * New upstream version 1.0.20170818
  * Add pigz to Suggests
  * Bump standards version to 4.1.0

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 23 Aug 2017 19:35:10 +0100

dcm2niix (1.0.20170724-1) unstable; urgency=medium

  * Upgrade watch file to version 4
  * New upstream version 1.0.20170724
  * Bump standards version to 4.0.1, no changes required
  * Add missing get-orig-source target
  * Build with JPEG support using TurboJPEG

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 12 Aug 2017 19:03:13 +0100

dcm2niix (1.0.20170624-1) unstable; urgency=medium

  * New upstream version 1.0.20170624
  * Bump standards version to 4.0.0, no changes required

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 13 Jul 2017 19:03:13 +0100

dcm2niix (1.0.20170528-1) experimental; urgency=medium

  * New upstream version 1.0.20170528

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 03 Jun 2017 09:06:53 +0100

dcm2niix (1.0.20170429-1) experimental; urgency=medium

  * New upstream version 1.0.20170429
  * Update copyright information
  * Drop the patch queue, no longer required
  * Specify the source directory and build system
  * Use the system zlib and openjpeg2 libraries
  * Build and install the manpages with Sphinx

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 11 May 2017 18:46:40 +0100
