## dcm2niix 1.0.20171017+git3-g9ccc4c0

=== debian/changelog ===
dcm2niix (1:1.0.20171017+git3-g9ccc4c0-1~nd17.04+1) zesty; urgency=medium

  * Backported for zesty.
  * Applied additional patch from debian/patches/zesty-dsc-patch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 03 Nov 2017 12:54:32 -0400

dcm2niix (1:1.0.20171017+git3-g9ccc4c0-1) neurodebian; urgency=medium

  * Fresh upstream snapshot
    - should bettersupport exporting sidecar information in multiband
      sequences

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 03 Nov 2017 11:06:24 -0400

dcm2niix (1:1.0.20170923+git2-gb68d409-1) neurodebian; urgency=medium

  * New upstream release with post release fixes/workarounds

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 28 Sep 2017 16:28:48 -0400

dcm2niix (1:1.0.20170818+git8-gdd1d994-1) neurodebian; urgency=medium

  * New upstream snapshot from v1.0.20170818-8-gdd1d994
  * debian/patches/jessie-dsc-patch adjusted and linked to be applied on zesty
    as well

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 30 Aug 2017 11:11:00 -0400

dcm2niix (1:1.0.20170724+git3-gab68e44-1) neurodebian; urgency=medium

  * Fresh post-release snapshot
    - all errors go now to stderr instead of stdout

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 08 Aug 2017 11:54:31 -0400

dcm2niix (1:1.0.20170624+git8-g87d2142-1) neurodebian; urgency=medium

  * New upstream snapshot from v1.0.20170624-8-g87d2142
  * Build with -DUSE_OPENJPEG=ON so that it passes qa tests
    - added libopenjp2-7-dev to Build-Depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 24 Jul 2017 10:11:02 -0400

dcm2niix (1:1.0.20170624-1) neurodebian; urgency=medium

  * Minor bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 24 Jun 2017 16:32:13 -0700

dcm2niix (1:1.0.20170623-1) neurodebian; urgency=medium

  * Fixes up issue with SliceTiming not being reported

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 23 Jun 2017 10:33:06 -0700

dcm2niix (1:1.0.20170621-1) neurodebian; urgency=medium

  * New upstream release
    - better sanitarization of Dates in the json side-cars
    - estimation of "TotalReadoutTime" etc

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 23 Jun 2017 09:57:01 -0400
