=== console/CMakeLists.txt ===
--- 
+++ 
@@ -11,15 +11,26 @@
     ucm_set_runtime(DYNAMIC)
 endif()
 
+# Basic CMake build settings
+set(CMAKE_BUILD_TYPE "Release" CACHE STRING
+    "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
+set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS  "Debug;Release;RelWithDebInfo;MinSizeRel")
+
 set(PROGRAMS dcm2niix)
 
 if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
     # using Clang
     add_definitions(-Wno-deprecated-register)
+    add_definitions(-fno-caret-diagnostics)
     set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,-dead_strip")
 elseif("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
     # using GCC
-    add_definitions(-Wno-unused-result)
+    if (${CMAKE_CXX_COMPILER_VERSION} VERSION_GREATER 4.4.7)
+        add_definitions(-Wno-unused-result)    # available since GCC 4.5
+    endif()
+    if (${CMAKE_CXX_COMPILER_VERSION} VERSION_GREATER 4.7.4)
+        add_definitions(-fno-diagnostics-show-caret)    # available since GCC 4.8
+    endif()
 elseif("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel")
     # using Intel C++
 elseif("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC")
@@ -44,6 +55,7 @@
     jpg_0XC3.cpp
     ujpeg.cpp
     nifti1_io_core.cpp
+    nii_foreign.cpp
     nii_ortho.cpp
     nii_dicom_batch.cpp)
 
@@ -55,30 +67,37 @@
     target_link_libraries(dcm2niix ${ZLIB_LIBRARIES})
 endif()
 
-option(USE_SYSTEM_TURBOJPEG "Use the system TurboJPEG" OFF)
-if(USE_SYSTEM_TURBOJPEG)
+option(USE_TURBOJPEG "Use TurboJPEG to decode classic JPEG" OFF)
+if(USE_TURBOJPEG)
     find_package(PkgConfig REQUIRED)
-    pkg_check_modules(TurboJPEG libturbojpeg)
+    pkg_check_modules(TURBOJPEG REQUIRED libturbojpeg)
     add_definitions(-DmyTurboJPEG)
-    target_include_directories(dcm2niix PRIVATE ${TurboJPEG_INCLUDE_DIRS})
-    target_link_libraries(dcm2niix ${TurboJPEG_LIBRARIES})
+    target_include_directories(dcm2niix PRIVATE ${TURBOJPEG_INCLUDEDIR})
+    target_link_libraries(dcm2niix ${TURBOJPEG_LIBRARIES})
 endif()
 
-option(USE_JASPER "Compile with Jasper support" OFF)
+option(USE_JASPER "Build with JPEG2000 support using Jasper" OFF)
 if(USE_JASPER)
     find_package(Jasper REQUIRED)
     add_definitions(-DmyEnableJasper)
     target_include_directories(dcm2niix PRIVATE ${JASPER_INCLUDE_DIR})
     target_link_libraries(dcm2niix ${JASPER_LIBRARIES})
-else ()
-    add_definitions(-DmyDisableJASPER)
 endif()
 
-option(USE_OPENJPEG "Build with OpenJPEG support" OFF)
+option(USE_OPENJPEG "Build with JPEG2000 support using OpenJPEG" OFF)
 if(USE_OPENJPEG)
-    option(OpenJPEG_DIR "Path to OpenJPEG configuration file" "")
+    set(OpenJPEG_DIR "${OpenJPEG_DIR}${OPENJPEG_DIR}" CACHE PATH "Path to yaml-cpp configuration file" FORCE)
 
-    find_package(OpenJPEG)
+    find_package(OpenJPEG REQUIRED)
+
+    if(WIN32)
+        if(BUILD_SHARED_LIBS)
+            add_definitions(-DOPJ_EXPORTS)
+        else()
+            add_definitions(-DOPJ_STATIC)
+        endif()
+    endif()
+
     target_include_directories(dcm2niix PRIVATE ${OPENJPEG_INCLUDE_DIRS})
     target_link_libraries(dcm2niix ${OPENJPEG_LIBRARIES})
 else ()
@@ -95,27 +114,35 @@
         jpg_0XC3.cpp
         ujpeg.cpp
         nifti1_io_core.cpp
+        nii_foreign.cpp
         nii_ortho.cpp
         nii_dicom_batch.cpp)
 
-    option(YAML-CPP_DIR "Path to yaml-cpp configuration file" "")
+    set(YAML-CPP_DIR ${YAML-CPP_DIR} CACHE PATH "Path to yaml-cpp configuration file" FORCE)
 
-    find_package(YAML-CPP)
+    find_package(YAML-CPP REQUIRED)
     target_include_directories(dcm2niibatch PRIVATE ${YAML_CPP_INCLUDE_DIR})
     target_link_libraries(dcm2niibatch ${YAML_CPP_LIBRARIES})
 
     if(ZLIB_FOUND)
         add_definitions(-DmyDisableMiniZ)
+        target_include_directories(dcm2niibatch PRIVATE ${ZLIB_INCLUDE_DIRS})
         target_link_libraries(dcm2niibatch z)
     endif()
 
-    if(JASPER_FOUND)
-        target_link_libraries(dcm2niibatch ${JASPER_LIBRARIES})
-    else()
-        add_definitions(-DmyDisableJASPER)
+    if(TURBOJPEG_FOUND)
+        add_definitions(-DmyTurboJPEG)
+        target_include_directories(dcm2niibatch PRIVATE ${TURBOJPEG_INCLUDEDIR})
+        target_link_libraries(dcm2niibatch ${TURBOJPEG_LIBRARIES})
     endif()
 
-    if(USE_OPENJPEG)
+    if(JASPER_FOUND)
+        add_definitions(-DmyEnableJasper)
+        target_include_directories(dcm2niibatch PRIVATE ${JASPER_INCLUDE_DIR})
+        target_link_libraries(dcm2niibatch ${JASPER_LIBRARIES})
+    endif()
+
+    if(OPENJPEG_FOUND)
         target_include_directories(dcm2niibatch PRIVATE ${OPENJPEG_INCLUDE_DIRS})
         target_link_libraries(dcm2niibatch ${OPENJPEG_LIBRARIES})
     else()
@@ -125,4 +152,4 @@
     list(APPEND PROGRAMS dcm2niibatch)
 endif()
 
-install(TARGETS ${PROGRAMS} DESTINATION ${CMAKE_INSTALL_PREFIX})
+install(TARGETS ${PROGRAMS} DESTINATION bin)
