=== debian/changelog ===
dcm2niix (1.0.20171215-1) unstable; urgency=medium

  * Ensure tags are signed
  * New upstream version 1.0.20171215
  * Bump the debhelper version to 11
  * Bump the standards version to 4.1.3
  * Drop get-orig-source target, use uscan instead

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sun, 04 Feb 2018 14:21:38 +0000

dcm2niix (1.0.20171017-1) unstable; urgency=medium

  * New upstream version 1.0.20171017
  * Install the upstream change log

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 21 Oct 2017 22:44:36 +0100
