## dcm2niix 1.0.20180622

=== debian/changelog ===
dcm2niix (1.0.20180622-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 18 Sep 2018 14:33:27 +0200
