=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                pkg-config,
                python3-sphinx,
                zlib1g-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/dcm2niix.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/dcm2niix.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/med-team/dcm2niix
+Vcs-Git: https://salsa.debian.org/med-team/dcm2niix.git
 Homepage: https://github.com/rordenlab/dcm2niix
 
 Package: dcm2niix
